# Class TreeDecorator < ApplicationDecorator

- app/decorators/tree_decorator.rb

Methods

B
  - breadcrumbs
R
  - readme
U
  - up_dir?,
  - up_dir_path

Instance Public methods

Source: show

readme() Link

Source: show

    # File app/decorators/tree_decorator.rb, line 32
    def readme
      @readme ||= contents.find { |c| c.is_a?(Grit::Blob) and c.name =~ %r^readme/ }
    end

up_dir?() Link

Source: show

    # File app/decorators/tree_decorator.rb, line 23
    def up_dir?
      path.present?
    end

up_dir_path() Link

Source: show

    # File app/decorators/tree_decorator.rb, line 27
    def up_dir_path
      file = File.join(path, "..")
      h.project_tree_path(project, h.tree_join(ref, file))
    end